dht::NodeExport Struct Reference
Collaboration diagram for dht::NodeExport:
[legend]

## Public Member Functions

template<typename Packer >
void | msgpack_pack (Packer &pk) const
void | msgpack_unpack (msgpack::object o)

## Public Attributes

InfoHash | id
sockaddr_storage | ss
socklen_t | sslen

## Friends

OPENDHT_PUBLIC friend std::ostream & | operator<< (std::ostream &s, const NodeExport &h)

## Detailed Description

Definition at line 363 of file infohash.h.

## Member Function Documentation

## msgpack_pack()

template<typename Packer >

void dht::NodeExport::msgpack_pack | ( | Packer & | pk | ) | const

inline

Definition at line 369 of file infohash.h.

## Member Data Documentation

## id

InfoHash dht::NodeExport::id

Definition at line 364 of file infohash.h.

## ss

sockaddr_storage dht::NodeExport::ss

Definition at line 365 of file infohash.h.

## sslen

socklen_t dht::NodeExport::sslen

Definition at line 366 of file infohash.h.

The documentation for this struct was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/infohash.h